Your shopping cart

Your basket is currently empty.

Return to shop

Please read this polite notice about Kontakt compatibility before purchase.

Currently all of our libraries require the FULL version of Kontakt 5.6.8 or higher to operate.

They do not work in the FREE Kontakt Player, so please ensure you have the correct version of Kontakt before completing your purchase.

Check out our guide on Kontakt here if you’re not sure.

Please feel free to contact us if you are unsure before purchase as in accordance with our EULA we are unfortunately unable to issue refunds to any customer purchasing a product in error. 

Thank you for reading and enjoy your new instrument!

This website uses cookies – find out more in our privacy policy